<html lang="en">
<head>
<title>File Key Bindings - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="File-Mode.html#File-Mode" title="File Mode">
<link rel="prev" href="Hidden-Files.html#Hidden-Files" title="Hidden Files">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="File-Key-Bindings"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="Hidden-Files.html#Hidden-Files">Hidden Files</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="File-Mode.html#File-Mode">File Mode</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">3.3 File Key Bindings</h3>

<p><a name="index-file-key-bindings-21"></a>
File mode has key bindings permitting different file system operations
such as copy or rename.  These commands all operate on the <dfn>current
file</dfn>.  In this case, the current file is the file at point, or clicked
on when pulling up the menu.

     <dl>
<dt><kbd>U</kbd><dd>Move the entire speedbar display up one directory. 
<br><dt><kbd>I</kbd><dd>Display information in the minibuffer about this line.  This is the same
information shown when navigating with <kbd>n</kbd> and <kbd>p</kbd>, or moving
the mouse over an item. 
<br><dt><kbd>B</kbd><dd>Byte compile the Emacs Lisp file on this line. 
<br><dt><kbd>L</kbd><dd>Load the Emacs Lisp file on this line.  If a <samp><span class="file">.elc</span></samp> file exists,
optionally load that. 
<br><dt><kbd>C</kbd><dd>Copy the current file to some other location. 
<br><dt><kbd>R</kbd><dd>Rename the current file, possibly moving it to some other location. 
<br><dt><kbd>D</kbd><dd>Delete the current file. 
<br><dt><kbd>O</kbd><dd>Delete the current file's object file.  Use the symbols `<samp><span class="samp">#</span></samp>' and
`<samp><span class="samp">!</span></samp>' to determine if there is an object file available. 
</dl>

   <p>One menu item toggles the display of all available files.  By default,
only files which Emacs understands, and knows how to convert into a tag
list, are shown.  By showing all files, additional files such as text files are
also displayed, but they are prefixed with the `<samp><span class="samp">[?]</span></samp>' symbol.  This
means that it is a file, but Emacs doesn't know how to expand it.

   </body></html>

